Bug 191085 - CVE-2006-2224 Quagga RIPd route injection
Summary: CVE-2006-2224 Quagga RIPd route injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=moderate,source=cve,public=200...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-08 18:52 UTC by Josh Bressers
Modified: 2014-08-31 23:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 14:14:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-05-08 18:52:57 UTC
Quagga RIPd route injection

RIPd in Quagga accepts RIPv1 RESPONSE when RIPv2 authentication is         enabled. This condition is possible unless RIPv2 only is specified in
the RIPd configuration.  This flaw could allow a remote attacker to
inject a route via RIPv1 RESPONSE packets.

http://bugzilla.quagga.net/show_bug.cgi?id=262


This issue also affects FC4

Comment 1 Fedora Update System 2006-07-22 19:01:06 UTC
quagga-0.98.6-1.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.